# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /Users/runner/work/q2-fondue/q2-fondue/ci/recipe, last modified Wed Dec 21 09:52:54 2022
# ------------------------------------------------

package:
  name: q2-fondue
  version: 2022.11.0+1.gd7973b9
source:
  path: /Users/runner/work/q2-fondue/q2-fondue
build:
  script: 'make VERBOSE=1

    make install

    '
  string: py38_0
requirements:
  build:
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2022.12.7 h033912b_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.40.0 ha978bb4_0
    - libzlib 1.2.13 hfd90126_4
    - maturin 0.10.3 py39hce574ba_0
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.7 hfd90126_1
    - pip 22.3.1 pyhd8ed1ab_0
    - python 3.9.15 h709bd14_0_cpython
    - python_abi 3.9 3_cp39
    - readline 8.1.2 h3899abd_0
    - rust 1.58.1 h7e1429e_0
    - rust-std-x86_64-apple-darwin 1.58.1 h059895a_0
    - setuptools 65.6.3 pyhd8ed1ab_0
    - tk 8.6.12 h5dbffcc_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
  host:
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2022.12.7 h033912b_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.40.0 ha978bb4_0
    - libzlib 1.2.13 hfd90126_4
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.7 hfd90126_1
    - pip 22.3.1 pyhd8ed1ab_0
    - python 3.8.15 hf9b03c3_0_cpython
    - readline 8.1.2 h3899abd_0
    - setuptools 65.6.3 pyhd8ed1ab_0
    - tk 8.6.12 h5dbffcc_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
  run:
    - entrezpy >=2.1.2
    - python >=3.8,<3.9.0a0
    - python-dotenv
    - python_abi 3.8.* *_cp38
    - pyzotero
    - q2-types 2022.11.*
    - qiime2 2022.11.*
    - tqdm >=4.62.3
    - xmltodict
test:
  commands:
    - pytest --cov q2_fondue --pyargs q2_fondue
    - coverage xml -o /Users/runner/work/q2-fondue/q2-fondue/coverage.xml
  imports:
    - fastq_writer
    - q2_fondue
    - qiime2.plugins.fondue
  requires:
    - coverage
    - parameterized
    - pytest-cov
about:
  home: https://github.com/bokulich-lab/q2-fondue
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
